// #RunDemo.jsx

#targetengine "AddHyperlinks&Bookmarks"
 
myBinFileName = "AddHyperlinks&Bookmarks(DEMO).jsxbin";
 
var myScriptFile = myGetScriptPath();
var myScriptFolder = decodeURI(myScriptFile.path);
var myFilePath = decodeURI(myScriptFolder + "/BIN/" + myBinFileName); 
var mySetFile = new File (myFilePath);
if (!mySetFile.exists) { // !.exists
    alert("Файл\n" + myBinFileName + ".\nне найден. Он должен быть в папке BIN."); 
    exit();
    } // !.exists
app.doScript(mySetFile);
///////
function myGetScriptPath() {
    try{
        return app.activeScript;
    }
    catch(myError){
        return File(myError.fileName);
    }
}